import os, pygame, random
from constants import *
H = 45
W = 43
def load_image(name, colorkey=None, alpha=False):
    fullname = os.path.join('..', 'data', 'images', name)
    try:
        image = pygame.image.load(fullname)
    except pygame.error, message:
        print 'Cannot load image:', name
        raise SystemExit, message
    if alpha:
        image = image.convert_alpha()
    else:
        image = image.convert()
    if colorkey is not None:
        if colorkey is -1:
            colorkey = image.get_at((0,0))
        image.set_colorkey(colorkey, pygame.RLEACCEL)
    return image

def load_random_image():
    img  = load_image('avatars.png', -1)
    x = random.randint(0,6)
    y = random.randint(0,6)
    return img.subsurface(x*W, y*H, W, H)
